> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Sa Token

> Create a bearer token for a service account.

Returns the raw token exactly once — store it securely.
The token is prefixed `clsa_` for easy identification.



## OpenAPI

````yaml /openapi.json post /v1/service-accounts/{sa_id}/tokens
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/service-accounts/{sa_id}/tokens:
    post:
      tags:
        - service-accounts
      summary: Create Sa Token
      description: |-
        Create a bearer token for a service account.

        Returns the raw token exactly once — store it securely.
        The token is prefixed `clsa_` for easy identification.
      operationId: create_sa_token_v1_service_accounts__sa_id__tokens_post
      parameters:
        - in: path
          name: sa_id
          required: true
          schema:
            title: Sa Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SATokenCreate'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                additionalProperties: true
                title: >-
                  Response Create Sa Token V1 Service Accounts  Sa Id  Tokens
                  Post
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    SATokenCreate:
      properties:
        description:
          anyOf:
            - maxLength: 200
              type: string
            - type: 'null'
          title: Description
      title: SATokenCreate
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````